declare type Input = string;
declare type Output = Array<string | number>;
declare const lex: (input: Input) => Output;

declare type IDENTIFIER = string | number;
declare type OBJECT = {
    [key in IDENTIFIER]: VALUE;
};
declare type ARRAY = VALUE[];
declare type VALUE = OBJECT | ARRAY | string | boolean | number | null | undefined;
declare const parse: (input: ReturnType<typeof lex>) => OBJECT;

declare class FenceparserError extends Error {
    constructor(message: string);
}

declare const _default: (input: string) => OBJECT;

export { FenceparserError, _default as default, lex, parse };
